ck-launch-session(1)

NAME
ck-launch-session - Utility to start a ConsoleKit session from a shell script

SYNOPSIS

ck-launch-session command

DESCRIPTION

ck-launch-session is a utility for starting a command in its own ConsoleKit session, however the command is optional. If not specified it launches a shell.. This would be useful if a user wanted to start their own session via a startx script and have it registered with ConsoleKit, for example.

OPERANDS

The following operands are supported:

command
Start the specified command in its own ConsoleKit session.

EXAMPLES

Example 1: Launch the startx command in its own ConsoleKit session

example% ck-launch-session startx

SEE ALSO

ck-history(1), ck-list-sessions(1), console-kit-daemon(1m)

NOTES

Written by Brian Cameron, Sun Microsystems Inc., 2009. Copyright (c) 2009 by Sun Microsystems, Inc.